#ruby=1.9.3
source 'http://rubygems.org'
unless ENV["LOCAL_DEV"] == "1"
	source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/'
end

ruby_version = ENV["JAM_RUBY_VERSION"]
ruby_version = "2.3.1" if ruby_version.nil?

ruby ruby_version

# Look for $WORKSPACE, otherwise use "workspace" as dev path.
devenv = ENV["BUILD_NUMBER"].nil?
if devenv
  #gem 'jam_db', :path=> "../db/target/ruby_package"
  gem 'jampb', :path => "../pb/target/ruby/jampb"
else
  #gem 'jam_db'
  gem 'jampb', "0.1.#{ENV["BUILD_NUMBER"]}"
  ENV['NOKOGIRI_USE_SYSTEM_LIBRARIES'] ||= "true"
end

if ENV['MODERN_OS'] == "1"
  gem 'pg', '0.21.0'
else
  # on mac, bundle config build.pg --with-cflags="-Wno-error=implicit-function-declaration"
  gem 'pg', '0.17.1', :platform => [:mri, :mswin, :mingw]
end
#gem 'jdbc_postgres', :platform => [:jruby]

gem 'activerecord', '= 4.2.8'
gem 'railties', '= 4.2.8'
gem 'actionmailer', '= 4.2.8'
gem 'actionview', '= 4.2.8'
gem 'rails-observers', '0.1.2'
gem 'protected_attributes' # needed to support attr_accessible

# PINNED TO SUPPORT BOTH 2.3.1 and 2.4.1 Ruby simultaneously
# This should be the same in ruby/admin/web/websocket-gateway
#######
gem 'nokogiri', '1.10.10' # added to pin before 1.11.0, which requires at leaost ruby 2.5.  unpin we go above
gem 'sprockets', '3.6.3' # added to pin before 4.0.0, which requiurse at least ruby 2.5
gem 'fog-brightbox', '0.11.0' # pinned until we are on ruby 2.5; then remove
gem 'faraday', '0.9.2' # pinned untnil we are on ruby 2.5; then remove
gem 'ruby-prof', '0.15.9' # pinned until we are on ruby 2.5; then remove
gem 'rubyzip', '1.2.0'  # pinned until we are on ruby 2.5; then remove
gem 'recurly', '2.19.14' # should upgrade to 3.x when we have time to validaate
gem 'icalendar', '2.4.0' # pinned until we are on ruby 2.5; then remove
gem 'email_validator', '1.6.0' # pinned until we are on ruby 2.5, then remove
gem 'redis', '3.3.0' # pinned until we are on 2.5; then remove
gem 'redis-namespace', '1.5.2' # pinned until we are on 2.5; then remove
gem 'oj', '2.17.1' # pinned until we are on 2.5; then remove
#######

gem "activerecord-import", "~> 0.4.1"
gem "auto_strip_attributes"
gem "json", "1.8.6"
gem 'uuidtools', '2.1.2'
gem 'bcrypt', '3.1.15' 
gem 'bcrypt-ruby' #, '3.0.1'
gem 'ruby-protocol-buffers', '1.2.2'
gem 'eventmachine', '1.0.4'
gem 'amqp', '1.0.2'
gem 'kickbox'
gem 'will_paginate'
gem 'sendgrid', '1.2.0'
gem 'aws-sdk', '~> 1'
gem 'carrierwave', '0.9.0'
gem 'aasm'
gem 'devise', '3.3.0' # 3.4.0 causes: uninitialized constant ActionController::Metal (NameError)
gem 'postgres-copy'
gem 'geokit'
gem 'geokit-rails'
gem 'postgres_ext'
gem 'resque'
gem 'resque-retry'
gem 'resque-failed-job-mailer' #, :path => "/Users/seth/workspace/resque_failed_job_mailer"
gem 'resque-lonely_job', '~> 1.0.0'
gem 'resque_mailer'

gem 'builder'
gem 'fog'
gem 'rest-client'
gem 'iso-639'
gem 'sanitize'
#gem 'influxdb'
gem 'sendgrid_toolkit', '>= 1.1.1'
gem 'stripe'
gem 'zip-codes'


gem 'elasticsearch'

gem 'logging', '1.7.2'

group :test do
  gem 'pry'
  gem 'simplecov', '~> 0.7.1'
  gem 'simplecov-rcov'
  gem 'factory_girl', '4.5.0'
  gem "rspec", "2.11"
  gem 'spork', '0.9.0'
  gem 'database_cleaner', '1.4.1'
  gem 'faker', '1.3.0'
  gem 'resque_spec' #, :path => "/home/jam/src/resque_spec/"
  gem 'timecop'
  gem 'rspec-prof'
  gem 'time_difference'
#  gem 'byebug'
  gem 'stripe-ruby-mock'
  gem 'webmock', '~> 3.11', '>= 3.11.2'

end

# Specify your gem's dependencies in jam_ruby.gemspec
gemspec
